# d3d12ipcsrc

d3d12ipcsrc imports Direct3D12 texture exported by peer d3d12ipcsrc element

## Example launch line

    gst-launch-1.0 d3d12ipcsrc ! queue ! d3d12videosink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSrc
                        ╰──d3d12ipcsrc

## Factory details

Authors: – Seungha Yang <seungha@centricular.com></seungha@centricular.com>

Classification: – `Source/Video`

Rank – none

Plugin – d3d12

Package – GStreamer Bad Plug-ins

## Pad Templates

### `src`

    video/x-raw(memory:D3D12Memory):
             format: { RGBA64_LE, RGB10A2_LE, BGRA, RGBA, BGRx, RGBx, VUYA, NV12, NV21, P010_10LE, P012_LE, P016_LE }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstPad

## Properties

### connection-timeout

    “connection-timeout” guint

Connection timeout in seconds (0 = never timeout)

Flags : Read / Write

Default value : 5

### io-mode

    “io-mode” D3d12ipc-iomode *

Memory I/O mode to use

Flags : Read / Write

Default value : copy (0)

### pipe-name

    “pipe-name” gchararray

The name of Win32 named pipe to communicate with clients. Validation of the pipe name is caller's responsibility

Flags : Read / Write

Default value : \\.\pipe\gst.d3d12.ipc

### processing-deadline

    “processing-deadline” guint64

Maximum processing time for a buffer in nanoseconds

Flags : Read / Write

Default value : 20000000

## Named constants

### D3d12ipc-iomode

Texture import mode

#### Members

`copy` (0) – Copy remote texture
`import` (1) – Import remote texture

Since : 1.26

The results of the search are